<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.309
Description: Template: Preparationasrequired
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.309">
   <title>Preparation as required</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]
Item: (Preparationasrequired)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation"
         id="tmp-79a9c6c6-6d48-4be5-a454-8cf8fa219da8">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="string(@classCode)='OBS'">(Preparationasrequired): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="string(@moodCode)='EVN'">(Preparationasrequired): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'])&gt;=1 ">(Preparationasrequired): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'])&lt;=1">(Preparationasrequired): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Preparationasrequired): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:code)&lt;=1">(Preparationasrequired): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:text)&lt;=1">(Preparationasrequired): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Preparationasrequired): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:value)&lt;=1">(Preparationasrequired): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309']
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.309']"
         id="tmp-bcd833de-4afa-4091-b1b3-662942dc5a2a">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Preparationasrequired): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.309'">(Preparationasrequired): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.309' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Preparationasrequired): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:code
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:code"
         id="tmp-9ae4972c-0cc7-4351-bbf7-8cbb96c5473b">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Preparationasrequired): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or (@code='C140007' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Preparationasrequired): de waarde van @code/@codeSystem MOET ''C140007' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text"
         id="tmp-d66bde89-bca5-4930-bca5-64f444e51795">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or ($xsiTypeVal='ED' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Preparationasrequired): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Preparationasrequired): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="count(hl7:reference)&lt;=1">(Preparationasrequired): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text/hl7:reference
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-164f3ade-c67e-41fd-9591-1cccfa35529d">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or ($xsiTypeVal='TEL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Preparationasrequired): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.309
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:value
Item: (Preparationasrequired)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.309']]/hl7:observation/hl7:value"
         id="tmp-ed87bf79-ef9b-46d5-b0b3-485461c2980b">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.309.html"
              test="@nullFlavor or ($xsiTypeVal='BL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Preparationasrequired): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>